org.apache.velocity.tools.view.jsp

## Class JspToolContext

- java.lang.Object
- - org.apache.velocity.tools.ToolContext
  - - org.apache.velocity.tools.view.ViewToolContext
    - - org.apache.velocity.tools.view.jsp.JspToolContext

All Implemented Interfaces:
  org.apache.velocity.context.Context, ViewContext

    public class JspToolContext
    extends ViewToolContext

Velocity context implementation specific to the JSP environment.

Version:
  $Id: ViewContext.java 514727 2007-03-05 16:49:03Z nbubna $
Author:
  Nathan Bubna

### Field Summary

Fields
`static String` `PAGE_CONTEXT_KEY`

### Fields inherited from class org.apache.velocity.tools.ToolContext

`CATCH_EXCEPTIONS_KEY, CONTEXT_KEY, ENGINE_KEY, LOCALE_KEY, LOG_KEY, PATH_KEY, TOOLKEY_KEY`

### Fields inherited from interface org.apache.velocity.tools.view.ViewContext

`APPLICATION, DEFAULT_TOOLBOX_KEY, REQUEST, RESPONSE, SERVLET_CONTEXT_KEY, SESSION`

### Constructor Summary

Constructors
Constructor and Description
`JspToolContext(org.apache.velocity.app.VelocityEngine velocity, javax.servlet.jsp.PageContext pageContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getAttribute(String key)`
`javax.servlet.jsp.PageContext` `getPageContext()`
`protected Object` `getServletApi(String key)`
`protected void` `putToolProperties()`

### Methods inherited from class org.apache.velocity.tools.view.ViewToolContext

`addToolboxesUnderKey, containsKey, get, getRequest, getResponse, getServletContext, getSession, getToolboxes, getToolVar, getUserVar, getVelocityContext, getVelocityEngine, setToolboxKey`

### Methods inherited from class org.apache.velocity.tools.ToolContext

`addToolbox, findTool, getKeys, getToolbox, getToolClassMap, getToolProperties, getUserCanOverwriteTools, internalGet, keySet, put, putAll, putToolProperties, putToolProperty, putVelocityEngine, remove, setUserCanOverwriteTools`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PAGE_CONTEXT_KEY

    public static final String PAGE_CONTEXT_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### JspToolContext

    public JspToolContext(org.apache.velocity.app.VelocityEngine velocity,
                          javax.servlet.jsp.PageContext pageContext)

### Method Detail

#### putToolProperties

    protected void putToolProperties()

Overrides:
  `putToolProperties` in class `ViewToolContext`

#### getPageContext

    public javax.servlet.jsp.PageContext getPageContext()

#### getServletApi

    protected Object getServletApi(String key)

Overrides:
  `getServletApi` in class `ViewToolContext`

#### getAttribute

    public Object getAttribute(String key)

Specified by:
  `getAttribute` in interface `ViewContext`
Overrides:
  `getAttribute` in class `ViewToolContext`